当前位置:首页 > 多媒体 > Flex

maven下载flex依赖的jar包失败,解决方法

优良自学吧提供maven下载flex依赖的jar包失败,解决方法,maven下载flex依赖的jar包失败,解决办法        在开发过程中,有的时候会碰到个别jar包在maven仓库中未提供的情况。比如flex相关的一些jar包。     

maven下载flex依赖的jar包失败,解决办法

        在开发过程中,有的时候会碰到个别jar包在maven仓库中未提供的情况。比如flex相关的一些jar包。

        如果自己公司没有私服,则可以通过自己下载jar包放在项目中,如:

maven下载flex依赖的jar包失败,解决方法

        再在pom.xml中添加本地依赖:

 <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/blazeds-common-4.0.0.14931.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/blazeds-proxy-4.0.0.14931.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/commons-codec-1.2.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/blazeds-remoting-4.0.0.14931.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/cglib-nodep-2.1_3.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/commons-httpclient-3.1.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/blazeds-core-4.0.0.14931.jar</systemPath> 
  </dependency>
  <dependency> 
      <groupId>javabuilder</groupId> 
      <artifactId>javabuilder</artifactId> 
      <version>1.0</version> 
      <scope>system</scope> 
      <systemPath>${project.basedir}/src/main/webapp/WEB-INF/lib/spring-flex-core-1.5.0.RELEASE.jar</systemPath> 
  </dependency>
		   


问题解决。




(本文来自互联网,不代表搜站(http://www.ylzx8.cn/)的观点和立场)
本站所有内容来自互联网,若本站收录的信息无意侵犯了贵司版权,请给我们来信(ylzx8cn@163.com),我们会及时处理和回复,谢谢